---
title: "Tag"
generated: true
---
<GenerationInfo sourceFile="packages/core/src/entity/tag/tag.entity.ts" sourceLine="13" packageName="@vendure/core" />

A tag is an arbitrary label which can be applied to certain entities.
It is used to help organize and filter those entities.

```ts title="Signature"
class Tag extends VendureEntity {
    constructor(input?: DeepPartial<Tag>)
    @Column()
    value: string;
}
```
* Extends: <DocsLink href="/reference/typescript-api/entities/vendure-entity#vendureentity">`VendureEntity`</DocsLink>



<div className="members-wrapper">

### constructor

<MemberInfo kind="method" type={`(input?: DeepPartial<<a href='/reference/typescript-api/entities/tag#tag'>Tag</a>>) => Tag`}   />


### value

<MemberInfo kind="property" type={`string`}   />




</div>
